CREATE procedure [C6StagingPeriodicoImmobiliare].[RP_ST_DettaglioPosizionePortafoglio] as  
begin   
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettaglioPosizionePortafoglio',  
  GETDATE(),  
  'Staging Immobiliare'  
 )  
 truncate table C6StagingPeriodicoImmobiliare.RP_DettaglioPosizionePortafoglio  
 insert into C6StagingPeriodicoImmobiliare.RP_DettaglioPosizionePortafoglio (  
  [chiavePosizionePtf]  
    ,[ctv]  
    ,[rischioCredito]  
    ,[rischioMercato]  
       ,[copertura]  
    ,[isAttivoRC]  
       ,[ctvNonAllocabile]  
       ,[quantitaNominale]  
       ,[partitaViaggiante]  
    ,[ctvOut]  
       ,[ctvIni]  
       ,[dtSaldo]  
 )  
 select   
    [chiavePosizionePtf],  
 [ctv],  
 null as [rischioCredito],   --- Da verificare  
 null as [rischioMercato],  
 [copertura],  
 null as [isAttivoRC],  --- Da verificare  
 [ctvNonAllocabile],  
 [quantitaNominale],  
 [partitaViaggiante],  
 [ctvOut],  
 [ctvIni],  
 [dtSaldo]  
  from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettaglioPosizionePortafoglio  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettaglioPosizionePortafoglio' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO_IMMOBILIARE  
   WHERE  
    Nome = 'RP_ST_DettaglioPosizionePortafoglio'  
  )  
end